import request from '@/utils/request'

// 查询期刊列表
export function listHomeArticle(query) {
  return request({
    url: '/his/homeArticle/list',
    method: 'get',
    params: query
  })
}

// 查询期刊详细
export function getHomeArticle(articleId) {
  return request({
    url: '/his/homeArticle/' + articleId,
    method: 'get'
  })
}

// 新增期刊
export function addHomeArticle(data) {
  return request({
    url: '/his/homeArticle',
    method: 'post',
    data: data
  })
}

// 修改期刊
export function updateHomeArticle(data) {
  return request({
    url: '/his/homeArticle',
    method: 'put',
    data: data
  })
}

// 删除期刊
export function delHomeArticle(articleId) {
  return request({
    url: '/his/homeArticle/' + articleId,
    method: 'delete'
  })
}

// 导出期刊
export function exportHomeArticle(query) {
  return request({
    url: '/his/homeArticle/export',
    method: 'get',
    params: query
  })
}
